=== debian/changelog ===
libbpp-seq (2.3.1-8) unstable; urgency=medium

  * Rebuild with gcc-7
  * Standards-Version: 4.0.1

 -- Andreas Tille <tille@debian.org>  Wed, 23 Aug 2017 19:38:40 +0200

libbpp-seq (2.3.1-7) unstable; urgency=medium

  [ Julien Dutheil ]
  * Make tests work on 32 bits archs (enabled position independent code).
  * Do not override debian default CXX flags.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 09 Aug 2017 15:54:52 +0200

libbpp-seq (2.3.1-6) unstable; urgency=medium

  * Increased timeout threshold for Bowker test to pass on all arch.
  * Removed postins scripts.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 17 Jul 2017 22:29:29 +0200

libbpp-seq (2.3.1-5) unstable; urgency=medium

  [ Julien Dutheil ]
  * Removed unused class VectorProbabilisticSiteContainer

  [ Andreas Tille ]
  * debhelper 10

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 13 Jul 2017 08:52:31 +0200

libbpp-seq (2.3.1-4) unstable; urgency=medium

  * do not install broken header (Thanks for the patch to Steve Langasek
    <steve.langasek@canonical.com>)
    Closes: #866069
  * d-shlibs (>= 0.80) contains needed override

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2017 08:35:18 +0200

libbpp-seq (2.3.1-3) unstable; urgency=medium

  * cmake files belong to /usr/lib/$(DEB_HOST_MULTIARCH)
    Closes: #865529
  * hardening=+all
  * do not ignore test failures
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 21:52:59 +0200

libbpp-seq (2.3.1-2) unstable; urgency=medium

  * Make sure cmake files will be installed also on i386

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 07:58:04 +0200

libbpp-seq (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to github

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2017 13:35:29 +0200
