=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=OFF

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	# Broken header, don't install (if we do, the postinst will pull it
	# into generic include files)
	rm -f debian/tmp/usr/include/Bpp/Seq/Container/VectorProbabilisticSiteContainer.h
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
                    --movedev debian/tmp/usr/include/* usr/include \
                    --movedev debian/tmp/usr/lib/*/cmake usr/lib/$(DEB_HOST_MULTIARCH) \
                    debian/tmp/usr/lib/*/*.so
