=== debian/changelog ===
libbpp-seq (2.4.0-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Provide symbols file only for amd64
  
  [ Andreas Tille ]
  * Provide full license text of CeCILL license

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 08 Apr 2018 08:04:59 +0200

libbpp-seq (2.4.0-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version

  [ Andreas Tille ]
  * Add symbols file

 -- Andreas Tille <tille@debian.org>  Sun, 25 Mar 2018 14:14:44 +0100

libbpp-seq (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version

  [ Andreas Tille ]
  * Standards-Version: 4.1.3
  * cme fix dpkg-control
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 05 Feb 2018 17:36:38 +0200
