=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                d-shlibs (>= 0.80),
-               libbpp-core-dev (>= 2.3.1)
-Standards-Version: 4.0.1
+               libbpp-core-dev (>= 2.4.0)
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
@@ -16,9 +16,9 @@
 Package: libbpp-seq-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-seq11 (= ${binary:Version}),
+Depends: libbpp-seq12 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-core-dev (>= 2.3.1)
+         libbpp-core-dev (>= 2.4.0)
 Description: Bio++ Sequence library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -29,14 +29,14 @@
  This package contains the static library and the header files of Bio++
  classes for sequence analysis classes.
 
-Package: libbpp-seq11
+Package: libbpp-seq12
 Architecture: any
+Multi-Arch: same
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libbpp-core3 (>= 2.3.1)
+         libbpp-core4 (>= 2.4.0)
+Pre-Depends: ${misc:Pre-Depends}
 Description: Bio++ Sequence library
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
