=== debian/changelog ===
libbpp-seq (2.4.1-7) unstable; urgency=medium

  * Really fix symbols file

 -- Andreas Tille <tille@debian.org>  Fri, 22 Oct 2021 07:26:58 +0200

libbpp-seq (2.4.1-6) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Fix ftbfs with gcc-11
    Closes: #984094

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 10:35:48 +0200

libbpp-seq (2.4.1-5) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update symbols for gcc-10
    Closes: #957428

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 11:33:45 +0200

libbpp-seq (2.4.1-4) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #925736
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 16:07:58 +0200

libbpp-seq (2.4.1-3) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #923954
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 07 Mar 2019 18:56:16 +0100

libbpp-seq (2.4.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Fix symbols file
    Closes: #915342
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 08:15:45 +0100

libbpp-seq (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
    Closes: #897784

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 19 Aug 2018 11:45:47 +0200
