=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               d-shlibs (>= 0.80),
-               libbpp-core-dev (>= 2.4.0)
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq.git
+               d-shlibs,
+               libbpp-core-dev
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/libbpp-seq
+Vcs-Git: https://salsa.debian.org/med-team/libbpp-seq.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
+Rules-Requires-Root: no
 
 Package: libbpp-seq-dev
 Architecture: any
 Section: libdevel
 Depends: libbpp-seq12 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-core-dev (>= 2.4.0)
+         libbpp-core-dev
 Description: Bio++ Sequence library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -35,7 +36,7 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libbpp-core4 (>= 2.4.0)
+         libbpp-core4
 Pre-Depends: ${misc:Pre-Depends}
 Description: Bio++ Sequence library
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
